#include <Wire.h>
#include "imuData.h"
/*
Test on Uno R3.
imuData    UnoR3
SDA <---> SDA
SCL <---> SCL
*/
void setup() 
{
  Serial.begin(115200);
  imuData.StartIIC();
} 

void loop() 
{
  //print received data. Data was received in serialEvent;
  Serial.println("");
  imuData.GetAcc();
  Serial.print("Acc:");Serial.print((float)imuData.stcAcc.a[0]/32768*16);Serial.print(" ");Serial.print((float)imuData.stcAcc.a[1]/32768*16);Serial.print(" ");Serial.println((float)imuData.stcAcc.a[2]/32768*16);
  
  imuData.GetGyro();  
  Serial.print("Gyro:");Serial.print((float)imuData.stcGyro.w[0]/32768*2000);Serial.print(" ");Serial.print((float)imuData.stcGyro.w[1]/32768*2000);Serial.print(" ");Serial.println((float)imuData.stcGyro.w[2]/32768*2000);
  
  imuData.GetAngle();
  Serial.print("Angle:");Serial.print((float)imuData.stcAngle.Angle[0]/32768*180);Serial.print(" ");Serial.print((float)imuData.stcAngle.Angle[1]/32768*180);Serial.print(" ");Serial.println((float)imuData.stcAngle.Angle[2]/32768*180);

  imuData.GetQuater();
  Serial.print("Quater:");Serial.print((float)imuData.stcQuater.q[0]/32768);Serial.print(" ");Serial.print((float)imuData.stcQuater.q[1]/32768);Serial.print(" ");Serial.print((float)imuData.stcQuater.q[2]/32768);Serial.print(" ");Serial.println((float)imuData.stcQuater.q[3]/32768);
  Serial.println("");
  delay(500);
}
